## ros-jazzy-admittance-controller 4.15.0

=== debian/changelog ===
ros-jazzy-admittance-controller (4.15.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Sun, 06 Oct 2024 16:00:00 -0000

ros-jazzy-admittance-controller (4.14.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Tue, 10 Sep 2024 16:00:00 -0000

ros-jazzy-admittance-controller (4.13.0-1bookworm) bookworm; urgency=high

  * Fix segfault at reconfigure of AdmittanceController (#1248 <https://github.com/ros-controls/ros2_controllers/issues/1248>)
  * Fixes tests to work with use_global_arguments NodeOptions parameter  (#1256 <https://github.com/ros-controls/ros2_controllers/issues/1256>)
  * Contributors: Lennart Nachtigall, Sai Kishor Kothakota

 -- Denis Štogl <denis@stogl.de>  Wed, 21 Aug 2024 16:00:00 -0000

ros-jazzy-admittance-controller (4.12.1-1bookworm) bookworm; urgency=high

  * Fix admittance controller interface read/write logic (#1232 <https://github.com/ros-controls/ros2_controllers/issues/1232>)
  * Contributors: Nikola Banović

 -- Denis Štogl <denis@stogl.de>  Tue, 13 Aug 2024 16:00:00 -0000

ros-jazzy-admittance-controller (4.12.0-1bookworm) bookworm; urgency=high

  * Change the subscription timeout in the tests to 5ms (#1219 <https://github.com/ros-controls/ros2_controllers/issues/1219>)
  * Unused header cleanup (#1199 <https://github.com/ros-controls/ros2_controllers/issues/1199>)
  * Fix WaitSet issue in tests  (#1206 <https://github.com/ros-controls/ros2_controllers/issues/1206>)
  * Fix parallel gripper controller CI (#1202 <https://github.com/ros-controls/ros2_controllers/issues/1202>)
  * Contributors: Henry Moore, Sai Kishor Kothakota

 -- Denis Štogl <denis@stogl.de>  Mon, 22 Jul 2024 16:00:00 -0000

ros-jazzy-admittance-controller (4.11.0-1bookworm) bookworm; urgency=high

  * added changes corresponding to the logger and clock propagation in ResourceManager (#1184 <https://github.com/ros-controls/ros2_controllers/issues/1184>)
  * Contributors: Sai Kishor Kothakota

 -- Denis Štogl <denis@stogl.de>  Mon, 08 Jul 2024 16:00:00 -0000

ros-jazzy-admittance-controller (4.10.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Sun, 30 Jun 2024 16:00:00 -0000

ros-jazzy-admittance-controller (4.9.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Tue, 04 Jun 2024 16:00:00 -0000

ros-jazzy-admittance-controller (4.8.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Mon, 13 May 2024 16:00:00 -0000

ros-jazzy-admittance-controller (4.7.0-1bookworm) bookworm; urgency=high

  * Use CMake target for eigen (#1058 <https://github.com/ros-controls/ros2_controllers/issues/1058>)
  * Contributors: Christoph Fröhlich

 -- Denis Štogl <denis@stogl.de>  Thu, 21 Mar 2024 16:00:00 -0000

ros-jazzy-admittance-controller (4.6.0-1bookworm) bookworm; urgency=high

  * Add test_depend on hardware_interface_testing (#1018 <https://github.com/ros-controls/ros2_controllers/issues/1018>)
  * Contributors: Christoph Fröhlich

 -- Denis Štogl <denis@stogl.de>  Sun, 11 Feb 2024 16:00:00 -0000

ros-jazzy-admittance-controller (4.5.0-1bookworm) bookworm; urgency=high

  * Add tests for interface_configuration_type consistently (#899 <https://github.com/ros-controls/ros2_controllers/issues/899>)
  * Let sphinx add parameter description with nested structures to documentation (#652 <https://github.com/ros-controls/ros2_controllers/issues/652>)
  * Contributors: Christoph Fröhlich

 -- Denis Štogl <denis@stogl.de>  Tue, 30 Jan 2024 16:00:00 -0000

ros-jazzy-admittance-controller (4.4.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Wed, 10 Jan 2024 16:00:00 -0000

ros-jazzy-admittance-controller (4.3.0-1bookworm) bookworm; urgency=high

  * Remove robot description param from admittance YAML (#963 <https://github.com/ros-controls/ros2_controllers/issues/963>)
  * Add few warning flags to error (#961 <https://github.com/ros-controls/ros2_controllers/issues/961>)
  * Contributors: Abishalini Sivaraman, Sai Kishor Kothakota

 -- Denis Štogl <denis@stogl.de>  Sun, 07 Jan 2024 16:00:00 -0000

ros-jazzy-admittance-controller (4.2.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Mon, 11 Dec 2023 16:00:00 -0000

ros-jazzy-admittance-controller (4.1.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Thu, 30 Nov 2023 16:00:00 -0000

ros-jazzy-admittance-controller (4.0.0-1bookworm) bookworm; urgency=high

  * fix tests for API break of passing controller manager update rate in init method (#854 <https://github.com/ros-controls/ros2_controllers/issues/854>)
  * Adjust tests after passing URDF to controllers (#817 <https://github.com/ros-controls/ros2_controllers/issues/817>)
  * Contributors: Bence Magyar, Sai Kishor Kothakota

 -- Denis Štogl <denis@stogl.de>  Mon, 20 Nov 2023 16:00:00 -0000

ros-jazzy-admittance-controller (3.17.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Mon, 30 Oct 2023 16:00:00 -0000

ros-jazzy-admittance-controller (3.16.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Tue, 19 Sep 2023 16:00:00 -0000

ros-jazzy-admittance-controller (3.15.0-1bookworm) bookworm; urgency=high

  * Update docs for diff drive controller (#751 <https://github.com/ros-controls/ros2_controllers/issues/751>)
  * Contributors: Christoph Fröhlich

 -- Denis Štogl <denis@stogl.de>  Sun, 10 Sep 2023 16:00:00 -0000

ros-jazzy-admittance-controller (3.14.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Tue, 15 Aug 2023 16:00:00 -0000

ros-jazzy-admittance-controller (3.13.0-1bookworm) bookworm; urgency=high

  * Fix out of bound access in admittance controller (#721 <https://github.com/ros-controls/ros2_controllers/issues/721>)
  * Contributors: Abishalini Sivaraman

 -- Denis Štogl <denis@stogl.de>  Thu, 03 Aug 2023 16:00:00 -0000

ros-jazzy-admittance-controller (3.12.0-1bookworm) bookworm; urgency=high


