=== debian/control ===
Source: ros-jazzy-admittance-controller
Section: misc
Priority: optional
Maintainer: Denis Štogl <denis@stogl.de>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gmock <!nocheck>, ros-jazzy-backward-ros, ros-jazzy-control-msgs, ros-jazzy-control-toolbox, ros-jazzy-controller-interface, ros-jazzy-controller-manager <!nocheck>, ros-jazzy-filters, ros-jazzy-generate-parameter-library, ros-jazzy-geometry-msgs, ros-jazzy-hardware-interface, ros-jazzy-hardware-interface-testing <!nocheck>, ros-jazzy-joint-trajectory-controller, ros-jazzy-kinematics-interface, ros-jazzy-kinematics-interface-kdl <!nocheck>, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-rclcpp-lifecycle, ros-jazzy-realtime-tools, ros-jazzy-ros2-control-test-assets <!nocheck>, ros-jazzy-tf2, ros-jazzy-tf2-eigen, ros-jazzy-tf2-geometry-msgs, ros-jazzy-tf2-kdl, ros-jazzy-tf2-ros, ros-jazzy-trajectory-msgs, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-admittance-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-backward-ros, ros-jazzy-control-msgs, ros-jazzy-control-toolbox, ros-jazzy-controller-interface, ros-jazzy-filters, ros-jazzy-generate-parameter-library, ros-jazzy-geometry-msgs, ros-jazzy-hardware-interface, ros-jazzy-joint-trajectory-controller, ros-jazzy-kinematics-interface, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-rclcpp-lifecycle, ros-jazzy-realtime-tools, ros-jazzy-tf2, ros-jazzy-tf2-eigen, ros-jazzy-tf2-geometry-msgs, ros-jazzy-tf2-kdl, ros-jazzy-tf2-ros, ros-jazzy-trajectory-msgs, ros-jazzy-ros-workspace
Description: Implementation of admittance controllers for different input and output interface.
